The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update a Domain Name Exception’s Comment

Prev Next

This URL updates a domain name exception's comment.

Resource URL

PUT /domainnameexceptions

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
domainName Name of domain String Yes
comment Description of exception String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domainnameexceptions

Payload

{
	"domainName": "www.google.com",
	"comment": "Google"
} 

Response

{
"status": 1
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error message: Internal server error
2 500 1001 Internal error message: Following domain name was not found: <domainname>